package cn.wisenergy.chnmuseum.party.model;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 视频
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("asset")
@ApiModel(value = "Asset对象", description = "视频")
public class Asset implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "视频ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "视频名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "视频版权方ID")
    @TableField("asset_copyright_owner_id")
    private String assetCopyrightOwnerId;

    @ApiModelProperty(value = "视频类别ID")
    @TableField("asset_type_id")
    private String assetTypeId;

    @ApiModelProperty(value = "视频缩略图")
    @TableField("thumbnail")
    private String thumbnail;

    @ApiModelProperty(value = "视频链接")
    @TableField("video_url")
    private String videoUrl;

    @ApiModelProperty(value = "审核状态")
    @TableField("audit_status")
    private Integer auditStatus;

    @ApiModelProperty(value = "创建日期")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改日期")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

}
